CONS(1e)

NAME
cons - Create a consensus sequence from a multiple alignment

SYNOPSIS

cons -sequence seqset [-datafile matrix] [-plurality float] [-identity integer] [-setcase float] -outseq seqout [-name string]

cons -help

DESCRIPTION

cons is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Alignment:Consensus" command group(s).

OPTIONS

  Input section

-sequence seqset
    File containing a sequence alignment.

-datafile matrix
    This is the scoring matrix file used when comparing sequences. By default it is the file 'EBLOSUM62' (for proteins) or the file 'EDNAFULL' (for nucleic sequences). These files are found in the 'data' directory of the EMBOSS installation.

  Additional section

-plurality float
    Set a cut-off for the number of positive matches below which there is no consensus. The default plurality is taken as half the total weight of all the sequences in the alignment. Default value: @( $(sequence.totweight) / 2)

-identity integer
    Provides the facility of setting the required number of identities at a site for it to give a consensus at that position. Therefore, if this is set to the number of sequences in the alignment only columns of identities contribute to the consensus.

-setcase float
    Sets the threshold for the positive matches above which the consensus is is upper-case and below which the consensus is in lower-case. Default value: @( $(sequence.totweight) / 2)

  Output section

-outseq seqout

-name string

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

cons is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.